﻿package 
{
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;

	public class MyDialog extends MovieClip
	{
		private var _opened:Boolean = false;
		
		public function MyDialog()
		{
			this.addEventListener(Event.ADDED_TO_STAGE, onAddedToStage);
			this.addEventListener(Event.REMOVED_FROM_STAGE, onRemovedFromStage);
			this.btnOk.addEventListener(MouseEvent.CLICK, onClickBtnOk);
		}
		
		function get opened():Boolean
		{
			return _opened;
		}
		
		function onAddedToStage(e:Event):void
		{
			this.x = this.stage.stageWidth / 2;
			this.y = this.stage.stageHeight / 2;
			_opened = true;
		}
		
		function onRemovedFromStage(e:Event):void
		{
			_opened = false;
		}
		
		function onClickBtnOk(e:MouseEvent):void
		{
			dispatchEvent(new Event("CloseDialog"));
			e.stopPropagation();
		}
	}
}